class Subdomain

  def initialize(opt={})
    @opt = {}.merge(opt)
  end

  def matches?(request)
    puts request.path_parameters
    o = ::Secdomain.where(subname: request.subdomain).first

    if(@opt[:sub])
      if o && o.sub_type == 2
        request.path_parameters[:id] = o.pid
        request.path_parameters[:controller] = 'org_subfields'
        request.path_parameters[:action] = 'show'
        return true
      end
    end


    if o && o.controller
      request.path_parameters[:id] = o.pid
      request.path_parameters[:controller] = o.controller
      request.path_parameters[:action] = o.action
      return true
    end
    false
  end

end